ExecuteOn.FileDirBoth (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: ExecuteOn, class: FileDirBoth

Package org.apache.tools.ant.taskdefs

# Class ExecuteOn.FileDirBoth

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.ExecuteOn.FileDirBoth

Enclosing class:
  ExecuteOn

    public static class ExecuteOn.FileDirBoth
    extends EnumeratedAttribute

Enumerated attribute with the values "file", "dir" and "both" for the type attribute.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `DIR` | Dir value
  `static java.lang.String` | `FILE` | File value

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FileDirBoth()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FILE

    public static final java.lang.String FILE
    File value
    See Also:
      Constant Field Values

  - ### DIR

    public static final java.lang.String DIR
    Dir value
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### FileDirBoth

    public FileDirBoth()

- ## Method Details

  - ### getValues

    public java.lang.String[] getValues()
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
    See Also:
      `EnumeratedAttribute.getValues()`